yast2-ncurses: stdutil.h File Reference

Main Page | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members

# stdutil.h File Reference

`#include <iosfwd>`
`#include <cstdio>`
`#include <cstdarg>`
`#include <string>`
`#include <vector>`
`#include <iostream>`

Go to the source code of this file.

## Namespaces
namespace | stdutil
## Functions
std::string | vform (const char *format, va_list ap, va_list ap1)
std::string | form (const char *format,...) __attribute__((format(printf
std::string | numstring (char n, int w=0)
std::string | numstring (unsigned char n, int w=0)
std::string | numstring (int n, int w=0)
std::string | numstring (unsigned n, int w=0)
std::string | numstring (long n, int w=0)
std::string | numstring (unsigned long n, int w=0)
std::string | hexstring (char n, int w=4)
std::string | hexstring (unsigned char n, int w=4)
std::string | hexstring (int n, int w=10)
std::string | hexstring (unsigned n, int w=10)
std::string | hexstring (long n, int w=10)
std::string | hexstring (unsigned long n, int w=10)
std::string | octstring (char n, int w=4)
std::string | octstring (unsigned char n, int w=4)
std::string | octstring (int n, int w=0)
std::string | octstring (unsigned n, int w=0)
std::string | octstring (long n, int w=0)
std::string | octstring (unsigned long n, int w=0)

## Function Documentation

std::string std::string stdutil::form | ( | const char * | format,
|  |  | ...
| ) | `[inline]`

std::string hexstring | ( | unsigned long | n,
|  | int | w = `10`
| ) | `[inline]`

std::string hexstring | ( | long | n,
|  | int | w = `10`
| ) | `[inline]`

std::string hexstring | ( | unsigned | n,
|  | int | w = `10`
| ) | `[inline]`

std::string hexstring | ( | int | n,
|  | int | w = `10`
| ) | `[inline]`

std::string hexstring | ( | unsigned char | n,
|  | int | w = `4`
| ) | `[inline]`

std::string hexstring | ( | char | n,
|  | int | w = `4`
| ) | `[inline]`

std::string numstring | ( | unsigned long | n,
|  | int | w = `0`
| ) | `[inline]`

std::string numstring | ( | long | n,
|  | int | w = `0`
| ) | `[inline]`

std::string numstring | ( | unsigned | n,
|  | int | w = `0`
| ) | `[inline]`

std::string numstring | ( | int | n,
|  | int | w = `0`
| ) | `[inline]`

std::string numstring | ( | unsigned char | n,
|  | int | w = `0`
| ) | `[inline]`

std::string numstring | ( | char | n,
|  | int | w = `0`
| ) | `[inline]`

std::string octstring | ( | unsigned long | n,
|  | int | w = `0`
| ) | `[inline]`

std::string octstring | ( | long | n,
|  | int | w = `0`
| ) | `[inline]`

std::string octstring | ( | unsigned | n,
|  | int | w = `0`
| ) | `[inline]`

std::string octstring | ( | int | n,
|  | int | w = `0`
| ) | `[inline]`

std::string octstring | ( | unsigned char | n,
|  | int | w = `4`
| ) | `[inline]`

std::string octstring | ( | char | n,
|  | int | w = `4`
| ) | `[inline]`

std::string vform | ( | const char * | format,
|  | va_list | ap,
|  | va_list | ap1
| ) | `[inline]`